CREATE TABLE adc_users (
uid             MEDIUMINT(6) UNSIGNED NOT NULL auto_increment,
username        VARCHAR(8) NOT NULL,
password        VARCHAR(8) NOT NULL,
stime           MEDIUMINT(6),
etime           MEDIUMINT(6),
ratio           MEDIUMINT(3),
ccred           MEDIUMINT(6),
icred           MEDIUMINT(6),
expdate         DATE,
target          TEXT,
                PRIMARY KEY (uid),
                INDEX (uid)
);
CREATE TABLE adc_zones (
zid             MEDIUMINT(3) UNSIGNED NOT NULL auto_increment,
zonename        VARCHAR(100) NOT NULL,
                PRIMARY KEY (zid),
                INDEX (zid)
);
CREATE TABLE adc_banners (
bid             MEDIUMINT(8) UNSIGNED NOT NULL auto_increment,
uid             MEDIUMINT(6) UNSIGNED NOT NULL,
url             VARCHAR(255),
alt             VARCHAR(255),
urltb           VARCHAR(255),
bcode           TEXT,
                PRIMARY KEY (bid),
                INDEX (bid)
);
CREATE TABLE adc_imp (
sid             BIGINT(11) UNSIGNED NOT NULL auto_increment,
uid             MEDIUMINT(6) UNSIGNED NOT NULL,
bid             MEDIUMINT(8) UNSIGNED NOT NULL,
statd           DATE NOT NULL,
h00             MEDIUMINT(5) UNSIGNED,
h01             MEDIUMINT(5) UNSIGNED,
h02             MEDIUMINT(5) UNSIGNED,
h03             MEDIUMINT(5) UNSIGNED,
h04             MEDIUMINT(5) UNSIGNED,
h05             MEDIUMINT(5) UNSIGNED,
h06             MEDIUMINT(5) UNSIGNED,
h07             MEDIUMINT(5) UNSIGNED,
h08             MEDIUMINT(5) UNSIGNED,
h09             MEDIUMINT(5) UNSIGNED,
h10             MEDIUMINT(5) UNSIGNED,
h11             MEDIUMINT(5) UNSIGNED,
h12             MEDIUMINT(5) UNSIGNED,
h13             MEDIUMINT(5) UNSIGNED,
h14             MEDIUMINT(5) UNSIGNED,
h15             MEDIUMINT(5) UNSIGNED,
h16             MEDIUMINT(5) UNSIGNED,
h17             MEDIUMINT(5) UNSIGNED,
h18             MEDIUMINT(5) UNSIGNED,
h19             MEDIUMINT(5) UNSIGNED,
h20             MEDIUMINT(5) UNSIGNED,
h21             MEDIUMINT(5) UNSIGNED,
h22             MEDIUMINT(5) UNSIGNED,
h23             MEDIUMINT(5) UNSIGNED,
                PRIMARY KEY (sid),
                INDEX (uid,bid)
);
CREATE TABLE adc_clc (
sid             BIGINT(11) UNSIGNED NOT NULL auto_increment,
uid             MEDIUMINT(6) UNSIGNED NOT NULL,
bid             MEDIUMINT(8) UNSIGNED NOT NULL,
statd           DATE NOT NULL,
h00             MEDIUMINT(5) UNSIGNED,
h01             MEDIUMINT(5) UNSIGNED,
h02             MEDIUMINT(5) UNSIGNED,
h03             MEDIUMINT(5) UNSIGNED,
h04             MEDIUMINT(5) UNSIGNED,
h05             MEDIUMINT(5) UNSIGNED,
h06             MEDIUMINT(5) UNSIGNED,
h07             MEDIUMINT(5) UNSIGNED,
h08             MEDIUMINT(5) UNSIGNED,
h09             MEDIUMINT(5) UNSIGNED,
h10             MEDIUMINT(5) UNSIGNED,
h11             MEDIUMINT(5) UNSIGNED,
h12             MEDIUMINT(5) UNSIGNED,
h13             MEDIUMINT(5) UNSIGNED,
h14             MEDIUMINT(5) UNSIGNED,
h15             MEDIUMINT(5) UNSIGNED,
h16             MEDIUMINT(5) UNSIGNED,
h17             MEDIUMINT(5) UNSIGNED,
h18             MEDIUMINT(5) UNSIGNED,
h19             MEDIUMINT(5) UNSIGNED,
h20             MEDIUMINT(5) UNSIGNED,
h21             MEDIUMINT(5) UNSIGNED,
h22             MEDIUMINT(5) UNSIGNED,
h23             MEDIUMINT(5) UNSIGNED,
                PRIMARY KEY (sid),
                INDEX (uid,bid)
);
CREATE TABLE adc_ilock (
iid             MEDIUMINT(8) UNSIGNED NOT NULL auto_increment,
ip              VARCHAR(15),
ldate           DATETIME,
                PRIMARY KEY (iid),
                INDEX (ip)
);
CREATE TABLE adc_clock (
cid             MEDIUMINT(8) UNSIGNED NOT NULL auto_increment,
ip              VARCHAR(15),
ldate           DATETIME,
                PRIMARY KEY (cid),
                INDEX (ip)
);
